Update a goal
curl --request PUT \
--url https://int-data.moneydesktop.com/goals/{goal_guid} \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '
{
"goal": {
"account_guid": "<string>",
"amount": 4500,
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"skip_webhook": true,
"targeted_to_complete_at": "<string>"
}
}
'import requests
url = "https://int-data.moneydesktop.com/goals/{goal_guid}"
payload = { "goal": {
"account_guid": "<string>",
"amount": 4500,
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": False,
"is_complete": False,
"metadata": "Additional information",
"position": 3,
"skip_webhook": True,
"targeted_to_complete_at": "<string>"
} }
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({
goal: {
account_guid: '<string>',
amount: 4500,
name: 'Save for Europe.',
completed_at: '2015-06-19T10:37:04-06:00',
has_been_spent: false,
is_complete: false,
metadata: 'Additional information',
position: 3,
skip_webhook: true,
targeted_to_complete_at: '<string>'
}
})
};
fetch('https://int-data.moneydesktop.com/goals/{goal_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/goals/{goal_guid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'goal' => [
'account_guid' => '<string>',
'amount' => 4500,
'name' => 'Save for Europe.',
'completed_at' => '2015-06-19T10:37:04-06:00',
'has_been_spent' => false,
'is_complete' => false,
'metadata' => 'Additional information',
'position' => 3,
'skip_webhook' => true,
'targeted_to_complete_at' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.mx.nexus.v1+json",
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/goals/{goal_guid}"
payload := strings.NewReader("{\n \"goal\": {\n \"account_guid\": \"<string>\",\n \"amount\": 4500,\n \"name\": \"Save for Europe.\",\n \"completed_at\": \"2015-06-19T10:37:04-06:00\",\n \"has_been_spent\": false,\n \"is_complete\": false,\n \"metadata\": \"Additional information\",\n \"position\": 3,\n \"skip_webhook\": true,\n \"targeted_to_complete_at\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.mx.nexus.v1+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://int-data.moneydesktop.com/goals/{goal_guid}")
.header("MD-SESSION-TOKEN", "<api-key>")
.header("Content-Type", "application/vnd.mx.nexus.v1+json")
.body("{\n \"goal\": {\n \"account_guid\": \"<string>\",\n \"amount\": 4500,\n \"name\": \"Save for Europe.\",\n \"completed_at\": \"2015-06-19T10:37:04-06:00\",\n \"has_been_spent\": false,\n \"is_complete\": false,\n \"metadata\": \"Additional information\",\n \"position\": 3,\n \"skip_webhook\": true,\n \"targeted_to_complete_at\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/goals/{goal_guid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/vnd.mx.nexus.v1+json'
request.body = "{\n \"goal\": {\n \"account_guid\": \"<string>\",\n \"amount\": 4500,\n \"name\": \"Save for Europe.\",\n \"completed_at\": \"2015-06-19T10:37:04-06:00\",\n \"has_been_spent\": false,\n \"is_complete\": false,\n \"metadata\": \"Additional information\",\n \"position\": 3,\n \"skip_webhook\": true,\n \"targeted_to_complete_at\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"goal": {
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500,
"goal_type_name": "string",
"meta_type_name": "VACATION",
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"track_type_name": "SAVINGS_TRACK"
}
}Goals
Update a goal
This endpoint updates a specific goal. This endpoint accepts the optional MX-Skip-Webhook header and skip_webhook parameter.
PUT
/
goals
/
{goal_guid}
Update a goal
curl --request PUT \
--url https://int-data.moneydesktop.com/goals/{goal_guid} \
--header 'Content-Type: application/vnd.mx.nexus.v1+json' \
--header 'MD-SESSION-TOKEN: <api-key>' \
--data '
{
"goal": {
"account_guid": "<string>",
"amount": 4500,
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"skip_webhook": true,
"targeted_to_complete_at": "<string>"
}
}
'import requests
url = "https://int-data.moneydesktop.com/goals/{goal_guid}"
payload = { "goal": {
"account_guid": "<string>",
"amount": 4500,
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": False,
"is_complete": False,
"metadata": "Additional information",
"position": 3,
"skip_webhook": True,
"targeted_to_complete_at": "<string>"
} }
headers = {
"MD-SESSION-TOKEN": "<api-key>",
"Content-Type": "application/vnd.mx.nexus.v1+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'MD-SESSION-TOKEN': '<api-key>',
'Content-Type': 'application/vnd.mx.nexus.v1+json'
},
body: JSON.stringify({
goal: {
account_guid: '<string>',
amount: 4500,
name: 'Save for Europe.',
completed_at: '2015-06-19T10:37:04-06:00',
has_been_spent: false,
is_complete: false,
metadata: 'Additional information',
position: 3,
skip_webhook: true,
targeted_to_complete_at: '<string>'
}
})
};
fetch('https://int-data.moneydesktop.com/goals/{goal_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/goals/{goal_guid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'goal' => [
'account_guid' => '<string>',
'amount' => 4500,
'name' => 'Save for Europe.',
'completed_at' => '2015-06-19T10:37:04-06:00',
'has_been_spent' => false,
'is_complete' => false,
'metadata' => 'Additional information',
'position' => 3,
'skip_webhook' => true,
'targeted_to_complete_at' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/vnd.mx.nexus.v1+json",
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/goals/{goal_guid}"
payload := strings.NewReader("{\n \"goal\": {\n \"account_guid\": \"<string>\",\n \"amount\": 4500,\n \"name\": \"Save for Europe.\",\n \"completed_at\": \"2015-06-19T10:37:04-06:00\",\n \"has_been_spent\": false,\n \"is_complete\": false,\n \"metadata\": \"Additional information\",\n \"position\": 3,\n \"skip_webhook\": true,\n \"targeted_to_complete_at\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/vnd.mx.nexus.v1+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://int-data.moneydesktop.com/goals/{goal_guid}")
.header("MD-SESSION-TOKEN", "<api-key>")
.header("Content-Type", "application/vnd.mx.nexus.v1+json")
.body("{\n \"goal\": {\n \"account_guid\": \"<string>\",\n \"amount\": 4500,\n \"name\": \"Save for Europe.\",\n \"completed_at\": \"2015-06-19T10:37:04-06:00\",\n \"has_been_spent\": false,\n \"is_complete\": false,\n \"metadata\": \"Additional information\",\n \"position\": 3,\n \"skip_webhook\": true,\n \"targeted_to_complete_at\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/goals/{goal_guid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/vnd.mx.nexus.v1+json'
request.body = "{\n \"goal\": {\n \"account_guid\": \"<string>\",\n \"amount\": 4500,\n \"name\": \"Save for Europe.\",\n \"completed_at\": \"2015-06-19T10:37:04-06:00\",\n \"has_been_spent\": false,\n \"is_complete\": false,\n \"metadata\": \"Additional information\",\n \"position\": 3,\n \"skip_webhook\": true,\n \"targeted_to_complete_at\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"goal": {
"account_guid": "ACT-4e431124-4a29-abf9-f059-ab232ac14dbf",
"amount": 4500,
"goal_type_name": "string",
"meta_type_name": "VACATION",
"name": "Save for Europe.",
"completed_at": "2015-06-19T10:37:04-06:00",
"has_been_spent": false,
"is_complete": false,
"metadata": "Additional information",
"position": 3,
"track_type_name": "SAVINGS_TRACK"
}
}Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Body
application/vnd.mx.nexus.v1+json
Hide child attributes
Hide child attributes
Response
200 - application/vnd.mx.nexus.v1+json
OK
Hide child attributes
Hide child attributes

